import os
import warnings

HERE = os.path.dirname(os.path.abspath(__file__))

INPUT_ROOT = os.path.join(HERE, "input")
EXTRACT_ROOT = os.path.join(HERE, "extract")
OUTPUT_ROOT = os.path.join(HERE, "output")

SAMPLES_ROOT = HERE
for _ in range(4):
    SAMPLES_ROOT = os.path.dirname(SAMPLES_ROOT)
assert os.path.basename(SAMPLES_ROOT) == "clarabot-nano", str(SAMPLES_ROOT)
assert os.path.isfile(os.path.join(SAMPLES_ROOT, "setup.py"))
SAMPLES_ROOT = os.path.join(os.path.dirname(SAMPLES_ROOT), "nano-sample-files")
if not os.path.isdir(SAMPLES_ROOT):
    warnings.warn("The extra repository for additional extract tests is not found.")
